function LevelPolygon:drawFinalised()
  love.graphics.setColor(1,1,1)
  
  local brightness = 1
  if self.attributes.isBackground then  
    brightness = 0.7
  end
  
  local transparency
  
  if builderMode and self.attributes.fadeWhenBehind then
    if self:checkInside(mouse.worldX, mouse.worldY) then
      transparency = 0
    else
      transparency = 0.5
    end
  else
    transparency = self.currentTransparency
  end
  love.graphics.setColor(brightness, brightness, brightness, transparency)
  
  if self.attributes.superTexture then
    love.graphics.setShader(shader.terrain)
    blue.graphics.draw(self.mesh, self.body:getX(), self.body:getY(), self.body:getAngle())
    love.graphics.setShader()
  else
    blue.graphics.draw(self.mesh, self.body:getX(), self.body:getY(), self.body:getAngle())
  end
end





function LevelPolygon:getPixpol(pixpol)
  local offsetX, offsetY
  
  if self.attributes.isBackground then
    offsetX = 3
    offsetY = 1
  end
  
  if not pixpol then
    self.mesh = createPixpolMesh(texture[self.attributes.textureName], self.points, smallTextureScale, offsetX, offsetY)
    if not self.mesh then
      self.remove = true
    end
  else
    self.mesh = newTexturedMesh(texture[self.attributes.textureName], pixpol, smallTextureScale, offsetX, offsetY)
    if self.mesh then
      self.mesh:setDrawMode("triangles")
    else
      self.remove = true
    end
  end
  
end


